com.intellectualsites.translation

## Class TranslationLanguage

- java.lang.Object
- - com.intellectualsites.translation.TranslationLanguage

-     public class TranslationLanguage
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TranslationLanguage` | `englishAmerican`
    `static TranslationLanguage` | `englishBritish`
    `static TranslationLanguage` | `russianRussian`
    `static TranslationLanguage` | `swedishSwedish`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslationLanguage(java.lang.String friendlyName, java.lang.String countryCode, java.lang.String languageCode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCountryCode()`
    `java.lang.String` | `getLanguageCode()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`
    `static TranslationLanguage[]` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### englishAmerican

          public static final TranslationLanguage englishAmerican

    - #### englishBritish

          public static final TranslationLanguage englishBritish

    - #### swedishSwedish

          public static final TranslationLanguage swedishSwedish

    - #### russianRussian

          public static final TranslationLanguage russianRussian

  - ### Constructor Detail

    - #### TranslationLanguage

          public TranslationLanguage(java.lang.String friendlyName,
                             java.lang.String countryCode,
                             java.lang.String languageCode)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getCountryCode

          public java.lang.String getCountryCode()

    - #### getLanguageCode

          public java.lang.String getLanguageCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### values

          public static TranslationLanguage[] values()